<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___c_p_s__definitions" kind="group">
    <compoundname>group_ble_service_api_CPS_definitions</compoundname>
    <title>CPS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__cpss__char__t">cy_stc_ble_cpss_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__cpss__t">cy_stc_ble_cpss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__cpsc__char__t">cy_stc_ble_cpsc_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__cpsc__t">cy_stc_ble_cpsc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__cps__char__value__t">cy_stc_ble_cps_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__cps__descr__value__t">cy_stc_ble_cps_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__cps__date__time__t">cy_stc_ble_cps_date_time_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__cps__cp__adjustment__t">cy_stc_ble_cps_cp_adjustment_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__cpss__config__t">cy_stc_ble_cpss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__cpsc__config__t">cy_stc_ble_cpsc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga72160a206038714cd55341ecd3b4242e" kind="enum" prot="public" static="no">
        <name>cy_en_ble_cps_cp_oc_t</name>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242ea9d72e38eed98bec19738aac8b4be50d7" prot="public">
          <name>CY_BLE_CPS_CP_OC_SCV</name>
          <initializer>= 1u</initializer>
          <briefdescription>
<para>Set Cumulative Value. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242ea3f0fa1fda96867444c72cb92e69d5ab0" prot="public">
          <name>CY_BLE_CPS_CP_OC_USL</name>
          <initializer>= 2u</initializer>
          <briefdescription>
<para>Update Sensor Location. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242eaa1267074ecb6747940984457d62ebf88" prot="public">
          <name>CY_BLE_CPS_CP_OC_RSSL</name>
          <initializer>= 3u</initializer>
          <briefdescription>
<para>Request Supported Sensor Locations. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242eaaf3a291b38a003cd9a6e781c2a12bed3" prot="public">
          <name>CY_BLE_CPS_CP_OC_SCRL</name>
          <initializer>= 4u</initializer>
          <briefdescription>
<para>Set Crank Length. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242ea28f3df2f20f31f5842faf6ebdf9c0e86" prot="public">
          <name>CY_BLE_CPS_CP_OC_RCRL</name>
          <initializer>= 5u</initializer>
          <briefdescription>
<para>Request Crank Length. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242ea51323424efe02b152fc256d9ec6c9823" prot="public">
          <name>CY_BLE_CPS_CP_OC_SCHL</name>
          <initializer>= 6u</initializer>
          <briefdescription>
<para>Set Chain Length. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242ea3358c0b8264e60ad54e43d6e811023fc" prot="public">
          <name>CY_BLE_CPS_CP_OC_RCHL</name>
          <initializer>= 7u</initializer>
          <briefdescription>
<para>Request Chain Length. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242ea4e7453a178095f67c9e8109cee573646" prot="public">
          <name>CY_BLE_CPS_CP_OC_SCHW</name>
          <initializer>= 8u</initializer>
          <briefdescription>
<para>Set Chain Weight. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242ea340dcc2ceab63021937f6cbe27ee9cd1" prot="public">
          <name>CY_BLE_CPS_CP_OC_RCHW</name>
          <initializer>= 9u</initializer>
          <briefdescription>
<para>Request Chain Weight. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242eac8b333086ff69b300d606533a4ca36c4" prot="public">
          <name>CY_BLE_CPS_CP_OC_SSL</name>
          <initializer>= 10u</initializer>
          <briefdescription>
<para>Set Span Length. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242eaef2952d098be9ccaccb1cd5b656210ca" prot="public">
          <name>CY_BLE_CPS_CP_OC_RSL</name>
          <initializer>= 11u</initializer>
          <briefdescription>
<para>Request Span Length. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242ea0c202844a49da00773d06e91290e74bc" prot="public">
          <name>CY_BLE_CPS_CP_OC_SOC</name>
          <initializer>= 12u</initializer>
          <briefdescription>
<para>Start Offset Compensation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242ea9aa6995e05dead181e48c4a034c6e41a" prot="public">
          <name>CY_BLE_CPS_CP_OC_MCPMCC</name>
          <initializer>= 13u</initializer>
          <briefdescription>
<para>Mask Cycling Power Measurement Characteristic Content. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242ea8cc7d156bdafc6a90de107e39f407fa2" prot="public">
          <name>CY_BLE_CPS_CP_OC_RSR</name>
          <initializer>= 14u</initializer>
          <briefdescription>
<para>Request Sampling Rate. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242ea1e3f9067e03ba64f0d610265ba8a2a2f" prot="public">
          <name>CY_BLE_CPS_CP_OC_RFCD</name>
          <initializer>= 15u</initializer>
          <briefdescription>
<para>Request Factory Calibration Date. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242ea5fa104ad1fcabc484e030e15ff871860" prot="public">
          <name>CY_BLE_CPS_CP_OC_SEOC</name>
          <initializer>= 16u</initializer>
          <briefdescription>
<para>Start Enhanced Offset Compensation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga72160a206038714cd55341ecd3b4242ea2675fcbf1c756aeb5b20038d25c437a7" prot="public">
          <name>CY_BLE_CPS_CP_OC_RC</name>
          <initializer>= 32u</initializer>
          <briefdescription>
<para>Response Code. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_cps_cp_oc_t: </bold><linebreak />Op Codes of the Cycling Power Control Point Characteristic.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="148" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="129" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="130" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga82d8d90a591fbc07a611bb7ca66b76d8" kind="enum" prot="public" static="no">
        <name>cy_en_ble_cps_cp_rc_t</name>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga82d8d90a591fbc07a611bb7ca66b76d8a03298e014fe38e85e8955b2007b2e8d2" prot="public">
          <name>CY_BLE_CPS_CP_RC_SUCCESS</name>
          <initializer>= 1u</initializer>
          <briefdescription>
<para>Response for successful operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga82d8d90a591fbc07a611bb7ca66b76d8a058d8450f391d813fdf3e522670d8a78" prot="public">
          <name>CY_BLE_CPS_CP_RC_NOT_SUPPORTED</name>
          <briefdescription>
<para>Response if unsupported Op Code is received. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga82d8d90a591fbc07a611bb7ca66b76d8a320965b13ba8d6d75679d9c8c342d37d" prot="public">
          <name>CY_BLE_CPS_CP_RC_INVALID_PARAMETER</name>
          <briefdescription>
<para>Response if Parameter received does not meet the requirements of the service or is outside of the supported range of the Sensor. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga82d8d90a591fbc07a611bb7ca66b76d8a58beedd52791d95b24e98c237a7c8cf0" prot="public">
          <name>CY_BLE_CPS_CP_RC_OPERATION_FAILED</name>
          <briefdescription>
<para>Response if the requested procedure failed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_cps_cp_rc_t: </bold><linebreak />Response Code of the Cycling Power Control Point Characteristic.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="159" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="152" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="153" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gaf6d8e33d21dfb4c295834589ff678777" kind="enum" prot="public" static="no">
        <name>cy_en_ble_cps_sl_value_t</name>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777afced526594043f7ef291ddb2f56158c8" prot="public">
          <name>CY_BLE_CPS_SL_OTHER</name>
          <briefdescription>
<para>Sensor Location - Other. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777ad0bbe37c0becba3a5f4dcdaef2782f63" prot="public">
          <name>CY_BLE_CPS_SL_TOP_OF_SHOE</name>
          <briefdescription>
<para>Sensor Location - Top of shoe. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777afea152894d8d689c2acad7aba74179b8" prot="public">
          <name>CY_BLE_CPS_SL_IN_SHOE</name>
          <briefdescription>
<para>Sensor Location - In shoe. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777a95522d10aa347ca1a6cfc20d5ea8512f" prot="public">
          <name>CY_BLE_CPS_SL_HIP</name>
          <briefdescription>
<para>Sensor Location - Hip. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777a46101f24f1e8c0444dc4c97954e582b7" prot="public">
          <name>CY_BLE_CPS_SL_FRONT_WHEEL</name>
          <briefdescription>
<para>Sensor Location - Front Wheel. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777ac749d7be36da8a4257ac439f1f432552" prot="public">
          <name>CY_BLE_CPS_SL_LEFT_CRANK</name>
          <briefdescription>
<para>Sensor Location - Left Crank. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777a6e8d90666f50cf9b139b92bc6819a2c6" prot="public">
          <name>CY_BLE_CPS_SL_RIGHT_CRANK</name>
          <briefdescription>
<para>Sensor Location - Right Crank. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777a02913b0fa83dd9091f356ea9412daad2" prot="public">
          <name>CY_BLE_CPS_SL_LEFT_PEDAL</name>
          <briefdescription>
<para>Sensor Location - Left Pedal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777af070d378bf3fb73c5d1d4f3ca168db92" prot="public">
          <name>CY_BLE_CPS_SL_RIGHT_PEDAL</name>
          <briefdescription>
<para>Sensor Location - Right Pedal. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777adf4c6c8f890fec9a1073e24e6693b45e" prot="public">
          <name>CY_BLE_CPS_SL_FRONT_HUB</name>
          <briefdescription>
<para>Sensor Location - Front Hub. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777af784f7964e0019fce862b6ec2ccf0ad1" prot="public">
          <name>CY_BLE_CPS_SL_REAR_DROPOUT</name>
          <briefdescription>
<para>Sensor Location - Rear Dropout. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777ae70fcca49098854d96e5092fe752a156" prot="public">
          <name>CY_BLE_CPS_SL_CHAINSTAY</name>
          <briefdescription>
<para>Sensor Location - Chainstay. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777aaf863d42e72a2467320b9cf0594d79f4" prot="public">
          <name>CY_BLE_CPS_SL_REAR_WHEEL</name>
          <briefdescription>
<para>Sensor Location - Rear Wheel. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777a77ea83e4b4daa61adb36a957b4324a34" prot="public">
          <name>CY_BLE_CPS_SL_REAR_HUB</name>
          <briefdescription>
<para>Sensor Location - Rear Hub. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777a99753e6c096ce980397be8e82819f47e" prot="public">
          <name>CY_BLE_CPS_SL_CHEST</name>
          <briefdescription>
<para>Sensor Location - Chest. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777a1bc4010cd1c9ac3e324063a982d5543a" prot="public">
          <name>CY_BLE_CPS_SL_SPIDER</name>
          <briefdescription>
<para>Sensor Location - Spider. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777ab4475b5a85411a57d682d03bb166075c" prot="public">
          <name>CY_BLE_CPS_SL_CHAIN_RING</name>
          <briefdescription>
<para>Sensor Location - Chain Ring. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaf6d8e33d21dfb4c295834589ff678777a5982faacec6f8f7ac93da23d31578c0d" prot="public">
          <name>CY_BLE_CPS_SL_COUNT</name>
          <briefdescription>
<para>Total Count of SL Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_cps_sl_value_t: </bold><linebreak />Sensor Location Characteristic value.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="182" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="162" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="163" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga7a53ac3dd6d3180f8cebd503ed91b089" kind="enum" prot="public" static="no">
        <name>cy_en_ble_cps_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089a49b3c2a02e39b7fc6930a0143aaa7d63" prot="public">
          <name>CY_BLE_CPS_POWER_MEASURE</name>
          <briefdescription>
<para>Cycling Power Measurement Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089aedbb7727fd83e42c26873514d293a119" prot="public">
          <name>CY_BLE_CPS_POWER_FEATURE</name>
          <briefdescription>
<para>Cycling Power Feature Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089afe3cfcbd8a04ebe4e7c49f7d4039a75e" prot="public">
          <name>CY_BLE_CPS_SENSOR_LOCATION</name>
          <briefdescription>
<para>Sensor Location Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089a119d5696cae7e0d94f1e8f7ae04cc9c7" prot="public">
          <name>CY_BLE_CPS_POWER_VECTOR</name>
          <briefdescription>
<para>Cycling Power Vector Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089ae6287f6c8d52b57463301969d517b0d8" prot="public">
          <name>CY_BLE_CPS_POWER_CP</name>
          <briefdescription>
<para>Cycling Power Control Point Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1gga7a53ac3dd6d3180f8cebd503ed91b089adae74287e5f7a20432ee1ca7c50340fa" prot="public">
          <name>CY_BLE_CPS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of CPS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_cps_char_index_t: </bold><linebreak />Characteristic indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="218" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="210" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="211" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gaab70d41905b10cf76e0d71df3caede01" kind="enum" prot="public" static="no">
        <name>cy_en_ble_cps_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaab70d41905b10cf76e0d71df3caede01ae0fb207eebb494f6d6d7e9fcf8285c23" prot="public">
          <name>CY_BLE_CPS_CCCD</name>
          <briefdescription>
<para>Client Characteristic Configuration descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaab70d41905b10cf76e0d71df3caede01a5378d5de60e77e926702ad730dac480f" prot="public">
          <name>CY_BLE_CPS_SCCD</name>
          <briefdescription>
<para>Handle of the server Characteristic Configuration descriptor. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___c_p_s__definitions_1ggaab70d41905b10cf76e0d71df3caede01aa986324e20ce1c4726e90743701322a5" prot="public">
          <name>CY_BLE_CPS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of Descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_cps_descr_index_t: </bold><linebreak />Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="226" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="221" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="222" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="define">
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gaf2ee8998b7bfb1801fa9b7e2d73077d7" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_PEDAL_BIT</name>
        <initializer>(0x01u &lt;&lt; 0u)</initializer>
        <briefdescription>
<para>Pedal Power Balance Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="59" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="59" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga050af9d21b7bac675397baaad879275b" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_TORQUE_BIT</name>
        <initializer>(0x01u &lt;&lt; 1u)</initializer>
        <briefdescription>
<para>Accumulated Torque Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="60" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="60" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga599963b9104371a75f3bccbf2a59dc1d" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_WHEEL_BIT</name>
        <initializer>(0x01u &lt;&lt; 2u)</initializer>
        <briefdescription>
<para>Wheel Revolution Data Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="61" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="61" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gaef773c5d19775b7d4fbf516ecb2da389" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_CRANK_BIT</name>
        <initializer>(0x01u &lt;&lt; 3u)</initializer>
        <briefdescription>
<para>Crank Revolution Data Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="62" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="62" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga3b9ccb680466ca31f1d6e4513171b2d7" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_MAGNITUDES_BIT</name>
        <initializer>(0x01u &lt;&lt; 4u)</initializer>
        <briefdescription>
<para>Extreme Magnitudes Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="63" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="63" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gacc6d9b4c34e196b3f27ef040da5ad959" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_ANGLES_BIT</name>
        <initializer>(0x01u &lt;&lt; 5u)</initializer>
        <briefdescription>
<para>Extreme Angles Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="64" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="64" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gaf8cdbfd6ba206df10a8fdf2e3ecfd8c0" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_DEAD_SPOT_BIT</name>
        <initializer>(0x01u &lt;&lt; 6u)</initializer>
        <briefdescription>
<para>Top and Bottom Dead Spot Angles Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="65" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="65" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga7f1d6be2245b8609bcae98cb56fd2aba" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_ENERGY_BIT</name>
        <initializer>(0x01u &lt;&lt; 7u)</initializer>
        <briefdescription>
<para>Accumulated Energy Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="66" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="66" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga1fd3c9a0b86e95f326c34b19a5ee0833" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_OFFSET_INDICATOR_BIT</name>
        <initializer>(0x01u &lt;&lt; 8u)</initializer>
        <briefdescription>
<para>Offset Compensation Indicator Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="67" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="67" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga0c55e6043d3a02d787cc24b8c4f3765e" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_OFFSET_BIT</name>
        <initializer>(0x01u &lt;&lt; 9u)</initializer>
        <briefdescription>
<para>Offset Compensation Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="68" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="68" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga8ba218b925b039c7d79a9fc59a8fa4e7" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_CPM_CONTENT_MASKING_BIT</name>
        <initializer>(0x01u &lt;&lt; 10u)</initializer>
        <briefdescription>
<para>Cycling Power Measurement Characteristic Content Masking Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="69" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="70" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga171aba349f59afad2a05eeccf3933848" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_MULTIPLE_SENSOR_BIT</name>
        <initializer>(0x01u &lt;&lt; 11u)</initializer>
        <briefdescription>
<para>Multiple Sensor Locations Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="72" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="71" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gaae5f7f084f66df1c7a6c1b68426df478" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_CRANK_LEN_ADJ_BIT</name>
        <initializer>(0x01u &lt;&lt; 12u)</initializer>
        <briefdescription>
<para>Crank Length Adjustment Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="73" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="72" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gad26c6381adf161fd0ac34049e9d06a77" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_CHAIN_LEN_ADJ_BIT</name>
        <initializer>(0x01u &lt;&lt; 13u)</initializer>
        <briefdescription>
<para>Chain Length Adjustment Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="74" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="73" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gaf93b3100bc189cfa230662c3c161da4f" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_CHAIN_WEIGHT_ADJ_BIT</name>
        <initializer>(0x01u &lt;&lt; 14u)</initializer>
        <briefdescription>
<para>Chain Weight Adjustment Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="75" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="74" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga0ae9d56fd665bc858fbca539c83caa25" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_SPAN_LEN_ADJ_BIT</name>
        <initializer>(0x01u &lt;&lt; 15u)</initializer>
        <briefdescription>
<para>Span Length Adjustment Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="76" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="75" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga427247b5d2a020f275d6e48d028e4061" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_SENSOR_MEASURE_BIT</name>
        <initializer>(0x01u &lt;&lt; 16u)</initializer>
        <briefdescription>
<para>Sensor Measurement Context. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="77" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="76" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gaea460027e6744961697e95572b237d6c" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_SENSOR_MEASURE_FORCE</name>
        <initializer>(0x00u &lt;&lt; 16u)</initializer>
        <briefdescription>
<para>Sensor Measurement Context: Force based. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="78" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="77" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gabadeb5211494cd86ae9d76e09535f602" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_SENSOR_MEASURE_TORQUE</name>
        <initializer>(0x01u &lt;&lt; 16u)</initializer>
        <briefdescription>
<para>Sensor Measurement Context: Torque based. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="79" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="78" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga941e7dfcb0b416eade8e173223ec1876" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_INSTANTANEOUS_DIRECTION_BIT</name>
        <initializer>(0x01u &lt;&lt; 17u)</initializer>
        <briefdescription>
<para>Instantaneous Measurement Direction Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="80" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="79" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gaecf609a334f5e9af7314d7cbf4698683" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_CALL_DATE_BIT</name>
        <initializer>(0x01u &lt;&lt; 18u)</initializer>
        <briefdescription>
<para>Factory Calibration Date Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="81" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="80" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga9caf7087fb15b579c7cc166bad382c62" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_ENHANCED_OFFSET_BIT</name>
        <initializer>(0x01u &lt;&lt; 19u)</initializer>
        <briefdescription>
<para>Enhanced Offset Compensation Supported. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="82" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="81" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gadd0b985639d5c28d706e82b6dba51607" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_DISTRIBUTE_MASK</name>
        <initializer>(0x03u &lt;&lt; 20u)</initializer>
        <briefdescription>
<para>Distribute System Support. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="83" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="82" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gaf3da346d30056a7fdac9c71f0ff5d389" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_DISTRIBUTE_UNSPEC</name>
        <initializer>(0x00u &lt;&lt; 20u)</initializer>
        <briefdescription>
<para>Distribute System: Unspecified (legacy sensor) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="84" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="83" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga3f0b964c91c893025182dfcda3895fa5" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_DISTRIBUTE_NOT_FOR_USE</name>
        <initializer>(0x01u &lt;&lt; 20u)</initializer>
        <briefdescription>
<para>Distribute System: Not for use. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="85" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="84" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga635b16a5bd7d3459d1485ec3b8c7cf2e" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPF_DISTRIBUTE_CAN_BE_USED</name>
        <initializer>(0x02u &lt;&lt; 20u)</initializer>
        <briefdescription>
<para>Distribute System: Can be used. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="86" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="85" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gaeb1e5e9bc64f871fc60cb207fbbedb8d" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPM_PEDAL_PRESENT_BIT</name>
        <initializer>(0x01u &lt;&lt; 0u)</initializer>
        <briefdescription>
<para>Pedal Power Balance Present. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="90" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="89" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga4c1571489975870eb7fcca2c157074f1" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPM_PEDAL_REFERENCE_BIT</name>
        <initializer>(0x01u &lt;&lt; 1u)</initializer>
        <briefdescription>
<para>Pedal Power Balance Reference. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="91" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="90" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gafaf07fbc4e2b1576b37a53640350f735" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPM_TORQUE_PRESENT_BIT</name>
        <initializer>(0x01u &lt;&lt; 2u)</initializer>
        <briefdescription>
<para>Accumulated Torque Present. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="92" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="91" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gab9627be06b5ddae5b3462c9a5369b620" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPM_TORQUE_SOURCE_BIT</name>
        <initializer>(0x01u &lt;&lt; 3u)</initializer>
        <briefdescription>
<para>Accumulated Torque Source. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="93" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="92" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga18c602377bec18c8c8a0091d0982ddb0" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPM_TORQUE_SOURCE_WHEEL</name>
        <initializer>(0x00u &lt;&lt; 3u)</initializer>
        <briefdescription>
<para>Accumulated Torque Source: Wheel Based. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="94" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="93" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga46d718a3236a13960bbaf9c9f9d80a9a" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPM_TORQUE_SOURCE_CRANK</name>
        <initializer>(0x01u &lt;&lt; 3u)</initializer>
        <briefdescription>
<para>Accumulated Torque Source: Crank Based. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="95" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="94" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga89b0a7b444d4ef989064069a0e865d62" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPM_WHEEL_BIT</name>
        <initializer>(0x01u &lt;&lt; 4u)</initializer>
        <briefdescription>
<para>Wheel Revolution Data Present. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="96" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="95" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gad42c5448e7a318fd01923e383f98fbd6" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPM_CRANK_BIT</name>
        <initializer>(0x01u &lt;&lt; 5u)</initializer>
        <briefdescription>
<para>Crank Revolution Data Present. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="97" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="96" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gabfb428914364acdf9688c2ed6a8ac9c7" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPM_FORCE_MAGNITUDES_BIT</name>
        <initializer>(0x01u &lt;&lt; 6u)</initializer>
        <briefdescription>
<para>Extreme Force Magnitudes Present. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="98" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="97" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga252774f2b9e6594355fc35f75edca65f" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPM_TORQUE_MAGNITUDES_BIT</name>
        <initializer>(0x01u &lt;&lt; 7u)</initializer>
        <briefdescription>
<para>Extreme Torque Magnitudes Present. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="99" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="98" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gadc791918bbb3a1d3b8641ddcd737b6a5" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPM_ANGLES_BIT</name>
        <initializer>(0x01u &lt;&lt; 8u)</initializer>
        <briefdescription>
<para>Extreme Angles Present. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="100" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="99" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gadb9232b0a153014d6c883bbeb60ace04" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPM_TOP_DEAD_SPOT_BIT</name>
        <initializer>(0x01u &lt;&lt; 9u)</initializer>
        <briefdescription>
<para>Top Dead Spot Angle Present. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="101" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="100" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga66d7dd2cba6e06b15b4ccecff7589d68" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPM_BOTTOM_DEAD_SPOT_BIT</name>
        <initializer>(0x01u &lt;&lt; 10u)</initializer>
        <briefdescription>
<para>Bottom Dead Spot Angle Present. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="102" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="101" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gac771af8bb12695993dd5a20ef00fc13c" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPM_ENERGY_BIT</name>
        <initializer>(0x01u &lt;&lt; 11u)</initializer>
        <briefdescription>
<para>Accumulated Energy Present. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="103" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="102" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga9b55c6ebc0d05fbb94e1d819cb7f7e7f" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPM_OFFSET_INDICATOR_BIT</name>
        <initializer>(0x01u &lt;&lt; 12u)</initializer>
        <briefdescription>
<para>Offset Compensation Indicator. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="104" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="103" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gad3e644098776aafead9d511da7b86039" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CP_PEDAL_PRESENT_BIT</name>
        <initializer>(0x01u &lt;&lt; 0u)</initializer>
        <briefdescription>
<para>Pedal Power Balance Turn off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="107" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="106" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga26cdf5e97fafa39af17a724a2b89bed5" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CP_TORQUE_PRESENT_BIT</name>
        <initializer>(0x01u &lt;&lt; 1u)</initializer>
        <briefdescription>
<para>Accumulated Torque Turn off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="108" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="107" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gae4b4bfe9778c795447a305eb27a91f31" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CP_WHEEL_BIT</name>
        <initializer>(0x01u &lt;&lt; 2u)</initializer>
        <briefdescription>
<para>Wheel Revolution Data Turn off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="109" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="108" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga2b1bfdebe72cbdbc96a35113800531ba" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CP_CRANK_BIT</name>
        <initializer>(0x01u &lt;&lt; 3u)</initializer>
        <briefdescription>
<para>Crank Revolution Data Turn off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="110" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="109" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gad64a0aa25d4dd5e2fcadb5f5a8babae7" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CP_MAGNITUDES_BIT</name>
        <initializer>(0x01u &lt;&lt; 4u)</initializer>
        <briefdescription>
<para>Extreme Magnitudes Turn off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="111" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="110" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga997577da78f51dce989df0739db3b872" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CP_ANGLES_BIT</name>
        <initializer>(0x01u &lt;&lt; 5u)</initializer>
        <briefdescription>
<para>Extreme Angles Turn off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="112" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="111" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga064e3ace3b1446e78928b3a0e3ed00f0" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CP_TOP_DEAD_SPOT_BIT</name>
        <initializer>(0x01u &lt;&lt; 6u)</initializer>
        <briefdescription>
<para>Top Dead Spot Angle Turn off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="113" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="112" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gaabdc47b84e60b50e00518dc5d7475179" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CP_BOTTOM_DEAD_SPOT_BIT</name>
        <initializer>(0x01u &lt;&lt; 7u)</initializer>
        <briefdescription>
<para>Bottom Dead Spot Angle Turn off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="114" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="113" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga639ce3004867e50f5b97a1bb0eec46ea" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CP_ENERGY_BIT</name>
        <initializer>(0x01u &lt;&lt; 8u)</initializer>
        <briefdescription>
<para>Accumulated Energy Turn off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="115" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="114" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gaf54f30b92b46675033dafa51358cfe70" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CP_ENERGY_RESERVED</name>
        <initializer>(0xFE00u)</initializer>
        <briefdescription>
<para>Reserved bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="116" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="115" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gaba99bb7c34ee9d7148c4b728ab3e96cb" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPV_CRANK_DATA_BIT</name>
        <initializer>(0x01u &lt;&lt; 0u)</initializer>
        <briefdescription>
<para>Crank Revolution Data Present. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="119" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="118" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1gadfb25530ddb94c5895481b67ae4ad8fc" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPV_FIRST_CRANK_MEASURE_BIT</name>
        <initializer>(0x01u &lt;&lt; 1u)</initializer>
        <briefdescription>
<para>First Crank Measurement Angle Present. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="120" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="119" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga983501ea36ed68dd1accddd32d8be88e" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPV_INST_FORCE_MAGN_BIT</name>
        <initializer>(0x01u &lt;&lt; 2u)</initializer>
        <briefdescription>
<para>Instantaneous Force Magnitude Array Present. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="121" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="120" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga74d8b165fa033ffb84e28cdaa9705bcf" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPV_INST_TORQUE_MAGN_BIT</name>
        <initializer>(0x01u &lt;&lt; 3u)</initializer>
        <briefdescription>
<para>Instantaneous Torque Magnitude Array Present. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="122" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="121" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga51cd019913055c280817c36c8c279637" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPV_INST_MEASURE_DIR_MASK</name>
        <initializer>(0x03u &lt;&lt; 4u)</initializer>
        <briefdescription>
<para>Instantaneous Measurement Direction. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="123" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="122" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga9212a82c721fcfc62e06a4e7d6933cf8" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPV_INST_MEASURE_DIR_TANGENTIAL</name>
        <initializer>(0x01u &lt;&lt; 4u)</initializer>
        <briefdescription>
<para>Instantaneous Measurement Direction: Tangential. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="124" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="123" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga10e3278e4e2b422a9cd8ba070d2e3754" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPV_INST_MEASURE_DIR_RADIAL</name>
        <initializer>(0x02u &lt;&lt; 4u)</initializer>
        <briefdescription>
<para>Instantaneous Measurement Direction: Radial. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="125" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="124" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___c_p_s__definitions_1ga2377de4a8428fbdd69e931ffd6d21f1b" kind="define" prot="public" static="no">
        <name>CY_BLE_CPS_CPV_INST_MEASURE_DIR_LATERAL</name>
        <initializer>(0x03u &lt;&lt; 4u)</initializer>
        <briefdescription>
<para>Instantaneous Measurement Direction: Lateral. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" bodystart="126" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_cps.h" line="125" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the CPS specific definitions and data structures used in the CPS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>